#!/bin/bash

iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE

if ! iptables -t nat -C POSTROUTING -o eth0 -j MASQUERADE 2>/dev/null; then
    echo "Chain 'MASQUERADE' does not exist. Switching iptables version..."
    update-alternatives --set iptables /usr/sbin/iptables-legacy
    iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
fi

sysctl net.ipv4.ip_forward=1

nmcli con add type wifi ifname wlan0 con-name elf2-test-AP autoconnect yes ssid ELF2_WIFI_AP
nmcli con modify elf2-test-AP 802-11-wireless.mode ap 802-11-wireless.band bg ipv4.method shared
nmcli con modify elf2-test-AP wifi-sec.key-mgmt wpa-psk wifi-sec.proto wpa
nmcli con modify elf2-test-AP wifi-sec.psk "12345678"
nmcli con up elf2-test-AP

